[Darshan-commits] [Darshan] branch, trac-150-regression, updated. darshan-2.3.1-pre1-4-gedfe5fa

Service Account git at mcs.anl.gov
Wed Jan 28 16:29:05 CST 2015


This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "".

The branch, trac-150-regression has been updated
       via  edfe5fab24434c220f2f0ef32d192d7954e434fa (commit)
      from  c768c10e29b9a89b17ccae91b029c32a22cc66d0 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit edfe5fab24434c220f2f0ef32d192d7954e434fa
Author: Phil Carns <carns at mcs.anl.gov>
Date:   Wed Jan 28 17:27:17 2015 -0500

    stub master script for regression testing

-----------------------------------------------------------------------

Summary of changes:
 darshan-test/regression/README.txt |   18 ++++++++++++++++
 darshan-test/regression/run-all.sh |   40 ++++++++++++++++++++++++++++++++++++
 2 files changed, 58 insertions(+), 0 deletions(-)
 create mode 100644 darshan-test/regression/README.txt
 create mode 100755 darshan-test/regression/run-all.sh


Diff of changes:
diff --git a/darshan-test/regression/README.txt b/darshan-test/regression/README.txt
new file mode 100644
index 0000000..41f6291
--- /dev/null
+++ b/darshan-test/regression/README.txt
@@ -0,0 +1,18 @@
+This directory contains regression tests for both the runtime and util components of Darshan,
+assuming that Darshan is already compiled and installed in a known path.
+
+The master script must be executed with three arguments:
+
+1) path to darshan installation
+2) path to temporary directory (for building executables, collecting logs, etc. during test)
+3) platform type; options include:
+   - ws (for a standard workstation)
+
+The platform type should map to a subdirectory containing scripts that describe how to
+perform platform-specific tasks (like loading or generating darshan wrappers and executing
+jobs).
+
+TODO:
+---------
+- tie this in with the "automated" directory in the tree, which already performs automated
+  build tests (but no runtime tests) in Jenkins
diff --git a/darshan-test/regression/run-all.sh b/darshan-test/regression/run-all.sh
new file mode 100755
index 0000000..89c988f
--- /dev/null
+++ b/darshan-test/regression/run-all.sh
@@ -0,0 +1,40 @@
+#!/bin/bash
+
+if [ "$#" -ne 3 ]; then
+    echo "Usage: run-all.sh <darshan_install_path> <tmp_path> <platform>"
+    echo "Example: ./run-all.sh ~/darshan-install /tmp/test ws"
+    exit 1
+fi
+
+# set variables for use by other sub-scripts
+export DARSHAN_PATH=$1
+export DARSHAN_TMP=$2
+export DARSHAN_PLATFORM=$3
+
+# check darshan path
+if [ ! -x $DARSHAN_PATH/bin/darshan-parser ]; then
+    echo "Error: $DARSHAN_PATH doesn't contain a valid Darshan install."
+    exit 1
+fi
+
+# check and/or create tmp path
+if [ ! -d $DARSHAN_TMP ]; then
+    mkdir -p $DARSHAN_TMP
+fi
+
+if [ ! -d $DARSHAN_TMP ]; then
+    echo "Error: unable to find or create $DARSHAN_TMP"
+    exit 1
+fi
+if [ ! -w $DARSHAN_TMP ]; then
+    echo "Error: unable to write to $DARSHAN_TMP"
+    exit 1
+fi
+
+# make sure that we have sub-scripts for the specified platform
+if [ ! -d $DARSHAN_PLATFORM ]; then
+    echo "Error: unable to find scripts for platform $DARSHAN_PLATFORM"
+    exit 1
+fi
+
+exit 0


hooks/post-receive
--



More information about the Darshan-commits mailing list